Subject: Bug#920: [X2Go-Dev] Bug#920: Fullscreen multi display centos 6

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 11 Aug 2015 12:02:44 +0200

On Tue, Aug 11, 2015 at 9:47 AM, Mathieu GALLAS <[email-masked]> wrote:
> Package: x2goserver
> Version: 4.0.1.19-3.el6
> OS: Centos 6.7
> Package: x2goclient
> Version: 4.0.1.4-1.el6
> OS: Centos 6.7

CentOS 6.7 is very new, is this bug also present on CentOS 6.5 or 6.6?
Also, is SELinux active (check with the "getenforce" command)?

> Architecture :
>
> - Dual screen
> - Gnome Desktop
> - Fullscreen
> - Xinerama enabled
>
> First connection :
>
> The first x2go connection is ok the full scrren is working as expected. (the
> only problem the first connection is that the keypad does not work).
> To fix keypad issue, I have to logoff and start a new x2go session.

Is the keypad not working at all or not working properly? What are the
symptoms? Does switching NumLock help? Are the keypresses of the
keypad recognized by "xev" (run within the session)?

> Second connection :
>
> After the second connection the xinerama does not work anymore. For example
> If I maximize an application, it is present on both screens.
> The worst is that the task bar is located in th middle of the screen.
>
> I I tried to logoff and reconnect again I have the same issue.
> To fix it I have to reboot the centos 6 (client side) and after the first
> connection is ok (but with the keypad bug).
>
> Troubleshooting  :
>
> - Change task bar location
> - Change screen resolution
> - Disable sound and print
> - I also tried from last Ubuntu or fedora => same issue
> - I tried to change the video card (from nvidia to an intel) => same issue

Please run x2goclient with --debug (I think that is what it is called,
I do not have a client at hand at the moment) and send us the output.

Also, on both connections please log the output of "xdpyinfo -ext
XINERAMA" and "xrandr".

Uli